Page MenuHomePhabricator

Can't upgrade MW installs to MW1.33 if using a non-standard DB prefix
Open, HighPublic0 Story Points

Description

From https://www.mediawiki.org/wiki/Topic:V2qvpudvt4ir194y


From @Cfschulte_314

I'm testing them upgrade from MW 1.32.x to MW 1.33.0. Running php maintenance/update.php always results in thrown errors and the documentation is leading me in circles. Any thoughts?

PHP Fatal error:  Uncaught InvalidArgumentException: A non-empty prefix must end with "_". in .../includes/libs/rdbms/database/domain/DatabaseDomain.php:58
Stack trace:
#0 .../includes/WikiMap.php(295): Wikimedia\Rdbms\DatabaseDomain->__construct('it', NULL, 'it')
#1 .../includes/objectcache/ObjectCache.php(157): WikiMap::getCurrentWikiDbDomain()
#2 .../includes/objectcache/ObjectCache.php(174): ObjectCache::getDefaultKeyspace()
#3 .../includes/objectcache/ObjectCache.php(137): ObjectCache::newFromParams(Array)
#4 .../includes/ServiceWiring.php(232): ObjectCache::newFromId(0)
#5 .../includes/libs/services/ServiceContainer.php(430): Wikimedia\Services\ServiceContainer->{closure}(Object(MediaWiki\MediaWikiServices))
#6 .../includes/libs/services/ServiceContainer.php(414): Wikimedia\Services\ServiceContainer->createService('LocalServerObje...')
#7 .../includes/MediaWikiServices.php(625): Wikimedia\Services\ServiceC in .../includes/libs/rdbms/database/domain/DatabaseDomain.php on line 58

From @MarkAHershberger:

It looks like the change was made to enforce a convention, but no precaution was taken to protect or warn people who haven't been following the convention.

https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499044/

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 9:18 PM
Tgr added a subscriber: Tgr.Jul 2 2019, 9:48 PM
This comment was removed by RazeSoldier.

Change 520410 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Revert "rdbms: codify DatabaseDomain table "_" prefix convention"

https://gerrit.wikimedia.org/r/520410

Change 520410 merged by jenkins-bot:
[mediawiki/core@master] Revert "rdbms: codify DatabaseDomain table "_" prefix convention"

https://gerrit.wikimedia.org/r/520410

Change 520891 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@REL1_33] Revert "rdbms: codify DatabaseDomain table "_" prefix convention"

https://gerrit.wikimedia.org/r/520891

Tgr added a comment.Jul 5 2019, 2:37 PM

Needs an 1.33.1 release.

Change 520891 merged by jenkins-bot:
[mediawiki/core@REL1_33] Revert "rdbms: codify DatabaseDomain table "_" prefix convention"

https://gerrit.wikimedia.org/r/520891

This looks resolved, but is kept open until 1.33.1 is released.

Restricted Application added a project: Core Platform Team. · View Herald TranscriptJul 25 2019, 9:21 PM
Krinkle triaged this task as High priority.Jul 25 2019, 9:21 PM
Krinkle moved this task from General library to Wiring for MediaWiki on the Wikimedia-Rdbms board.